<?php
$current_config_value =  get_post_meta( $post->ID, 'config', true );

if( !is_array( $current_config_value ) ){
    $current_config_value = get_option( 'wpt_configure_options' );
}

function wpt_selected_data(  $current_config_value, $keyword, $gotten_value ){
    $current_config_value = isset( $current_config_value ) && is_array( $current_config_value ) && count( $current_config_value ) > 0 ? $current_config_value : get_option( 'wpt_configure_options' );
    
    
    echo ( isset( $current_config_value[$keyword] ) && $current_config_value[$keyword] == $gotten_value ? 'selected' : false  );
}

$wpt_default_config = false;
/**********************/
if( isset( $_GET['default'] ) ){
    $wpt_default_config = true;
    $current_config_value = get_option( 'wpt_configure_options' );
}
$settings = array(
    'page' => 'wpt_configuration_tab',
    'module' => 'free',
);
$settings = apply_filters( 'wpto_configuration_settings', $settings );
//*********************/
$wrapper_class = isset( $settings['module'] ) ? $settings['module'] : '';
?>
    <div style="padding-top: 15px;padding-bottom: 15px;" class="fieldwrap wpt_result_footer ultraaddons <?php echo esc_attr( $wrapper_class ); ?>">
        
        <?php
        do_action( 'wpto_admin_configuration_form_version_data', $settings,$current_config_value );
                    
        /**
         * To add something and Anything at the top of Form Of Configuratin Page
         */
        do_action( 'wpto_admin_configuration_form_top', $settings,$current_config_value ); 


        do_action( 'wpto_admin_configuration_form', $settings,$current_config_value,'config' ); //config it's form name. Such: <input name='config[search_box]'>

        do_action( 'wpto_admin_configuration_form_bottom', $settings,$current_config_value ); 
                    ?>
        
        

            <div class="wpt_table_style_reset_wrapper">
            <?php if( !$wpt_default_config ){?>

                <?php
                if (isset($_SERVER['HTTPS']) &&
                    ($_SERVER['HTTPS'] == 'on' || $_SERVER['HTTPS'] == 1) ||
                    isset($_SERVER['HTTP_X_FORWARDED_PROTO']) &&
                    $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https') {
                    $protocol = 'https://';
                } else {
                    $protocol = 'http://';
                }
                $wpt_current_url = $protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
                $wpt_reset_url = $wpt_current_url . '&default=yes#config';
                ?>
                <p><?php esc_html_e( 'Remember: \'Get from Config\' will not store other tab\'s change. So First Update, If you changed others tab. such: Column,Basics etc, Then change Here.', 'wpt_pro' ); ?></p>
                <a class="button wpt_style_reset_button" href="<?php echo $wpt_reset_url; ?>"><?php esc_html_e( 'Get from Config', 'wpt_pro' ); ?></a>
            <?php }else{ ?>
            <p><?php esc_html_e( 'Now you can save/update.', 'wpt_pro' ); ?></p>    
            <?php } ?>
            </div>
    </div>
