<?php
//Set Default Value
$meta_table_style['template'] = 'custom';
//Table Header
$meta_table_style['tr.wpt_table_head th']['background-color'] = '#F8F8F8';
$meta_table_style['table thead']['border-color'] = '#36304a';
$meta_table_style['tr.wpt_table_head th']['color'] = '#36304a';
$meta_table_style['table thead']['border-width'] = '2px';
$meta_table_style['tr.wpt_table_head th']['padding'] = '';
$meta_table_style['tr.wpt_table_head th']['text-align'] = 'initial';
$meta_table_style['tr th.this_column_sorted']['background-color'] = '#fafafa';

//Table Body
$meta_table_style['tbody tr td']['background-color'] = '#fdfdfd';
$meta_table_style['tbody tr td:hover']['background-color'] = 'initial';
$meta_table_style['tbody tr td']['border-color'] = '#F6F6F6';

$meta_table_style['tbody tr td']['color'] = 'initial';
$meta_table_style['tbody tr td a']['color'] = 'initial';
$meta_table_style['tbody tr td a:hover']['color'] = 'initial';

$meta_table_style['tbody tr td']['padding'] = '';
$meta_table_style['tbody tr td.this_column_sorted']['background-color'] = '#f7f7f7';

//Checkbox
$meta_table_style['input{type=checkbox}:checked%label:before']['background-color'] = '#5cb85c';
$meta_table_style['input{type=checkbox}:checked%label:before']['border-color'] = '#5cb85c';
$meta_table_style['input{type=checkbox}:checked%label:after']['color'] = '#ffffff';
#Plus sign has changed to %

//Button Style
$meta_table_style['.button']['background-color'] = '#36304a';
$meta_table_style['.button:hover']['background-color'] = '#36304a';
$meta_table_style['.button']['color'] = '#fff';
$meta_table_style['.button:hover']['color'] = '#eee';
$meta_table_style['.button']['padding'] = '3px';

//Add to Cart Button
$meta_table_style['a.wpt_woo_add_cart_button']['background-color'] = '#36304a';
$meta_table_style['a.wpt_woo_add_cart_button:hover']['background-color'] = '#36304a';
$meta_table_style['a.wpt_woo_add_cart_button']['color'] = '#fff';
$meta_table_style['a.wpt_woo_add_cart_button:hover']['color'] = '#eee';
$meta_table_style['a.wpt_woo_add_cart_button']['padding'] = '';

//Paginationn
$meta_table_style['.wpt_table_pagination a.page-numbers.current']['background-color'] = '#444';
$meta_table_style['.wpt_table_pagination a:hover']['background-color'] = '#ddd';
$meta_table_style['.wpt_tspan.page-numbers.current, a.page-numbers.current']['border-color'] = '#222222';
$meta_table_style['a.page-numbers, span.page-numbers']['color'] = 'initial';
$meta_table_style['.wpt_tspan.page-numbers.current, a.page-numbers.current']['color'] = '#000000';
$meta_table_style['.wpt_table_pagination']['text-align'] = 'center';

//Advance Searchbox Options 
$meta_table_style['.search_single_order_by']['display'] = 'initial';
$meta_table_style['.search_single_order']['display'] = 'initial';
$meta_table_style['.wpt_search_box .search_single .search_single_column']['width'] = '33.33%';
$meta_table_style['.wpt_search_box .search_single .search_single_column']['float'] = 'left';
//Others part
$meta_table_style['.all_check_footer']['background-color'] = '#d9d9d9';
//var_dump($meta_table_style['.button']['padding']);
$meta_table_style_inPost = get_post_meta($post->ID, 'table_style', true);
$wpt_table_style_reset = false;
/**********************/
if(is_array( $meta_table_style_inPost ) && !isset( $_GET['reset'] ) ){
    //var_dump($meta_table_style);
    foreach($meta_table_style as $key=>$styles){
        if( is_array( $styles ) ){
            foreach( $styles as $style_key=>$style_value ){
                $generated_meta_style[$key][$style_key] = isset( $meta_table_style_inPost[$key][$style_key] ) ? $meta_table_style_inPost[$key][$style_key] : $meta_table_style[$key][$style_key];
            }
        }else{
           $generated_meta_style[$key] = isset( $meta_table_style_inPost[$key] ) ? $meta_table_style_inPost[$key] : $meta_table_style[$key];
        }
    }
    $meta_table_style = $generated_meta_style;//array_merge($meta_table_style,$meta_table_style_inPost);//$meta_table_style_inPost;
    $wpt_table_style_reset = true;
}
//*********************/
$wpt_style_file_selection_options = WOO_Product_Table::$style_form_options;
?>
<div class="wpt_column">
    <label class="wpt_label" for="wpt_style_file_selection">Select Template</label>
    <select name="table_style[template]" data-name="template" id="wpt_style_file_selection"  class="wpt_fullwidth wpt_data_filed_atts" >
        <?php
        foreach ($wpt_style_file_selection_options as $key => $value) {
            echo "<option value='$key' ";
            echo isset( $meta_table_style['template'] ) && $meta_table_style['template'] == $key ? 'selected' : '' ;
            echo ">$value</option>";
        }
        ?>
    </select>
</div>
<div class="wpt_customized_style_box_wrapper">
    <div class="wpt_table_preview_box">
        
    </div>
    <table class="form-table">
        <tr class="wpt_table_style_title">
            <th colspan="6">Table Header</th>
        </tr>
        
        <tr>
            <th scope="row">
               Background-Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tr.wpt_table_head th][background-color]" value="<?php echo $meta_table_style['tr.wpt_table_head th']['background-color']; ?>">
            </th>
            
            <th scope="row">
               Border-Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[table thead][border-color]" value="<?php echo $meta_table_style['table thead']['border-color']; ?>">
            </th>
            
            <th scope="row">
               Text-Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tr.wpt_table_head th][color]" value="<?php echo $meta_table_style['tr.wpt_table_head th']['color']; ?>">
            </th>            
        </tr>
        
        
        <tr>
            <th scope="row">
               Border Width: 
            </th>
            <th>
                <input class="regular-text" type="text" id="" name="table_style[table thead][border-width]" value="<?php echo $meta_table_style['table thead']['border-width']; ?>">
            </th>     
            
            <th scope="row">
               Padding: 
            </th>
            <th>
                <input class="regular-text wpt_slider" type="text" id="" name="table_style[tr.wpt_table_head th][padding]" value="<?php echo $meta_table_style['tr.wpt_table_head th']['padding']; ?>" placeholder="eg: 10px">
            </th> 
            <th scope="row">
               Text Alignment: 
            </th>
            <th>
                <?php
                $wpt_thead_alignment = $meta_table_style['tr.wpt_table_head th']['text-align'];
                ?>
                <select name="table_style[tr.wpt_table_head th][text-align]">
                    <option value="initial" <?php echo $wpt_thead_alignment == 'initial' ? 'selected' : ''; ?>>Initial (Default)</option>
                    <option value="center" <?php echo $wpt_thead_alignment == 'center' ? 'selected' : ''; ?>>Center</option>
                    <option value="left" <?php echo $wpt_thead_alignment == 'left' ? 'selected' : ''; ?>>Left</option>
                    <option value="right" <?php echo $wpt_thead_alignment == 'right' ? 'selected' : ''; ?>>Right</option>
                </select>
            </th>  
        </tr>

        
        <tr>
            <th scope="row">
               Sorted Column BG: 
            </th>
            <th>
                <input class="regular-text wpt_color_picker" type="text" id="" name="table_style[tr th.this_column_sorted][background-color]" value="<?php echo $meta_table_style['tr th.this_column_sorted']['background-color']; ?>">
            </th>        
        </tr>
        
        
        <tr class="wpt_table_style_title">
            <th colspan="6">Table Body</th>
        </tr>
        
        <tr>
            <th scope="row">
               Background Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td][background-color]" value="<?php echo $meta_table_style['tbody tr td']['background-color']; ?>">
            </th>
            
            <th scope="row">
               Background Hover Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td:hover][background-color]" value="<?php echo $meta_table_style['tbody tr td:hover']['background-color']; ?>">
            </th>
            
            <th scope="row">
               Border Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td][border-color]" value="<?php echo $meta_table_style['tbody tr td']['border-color']; ?>">
            </th>     
        </tr>
        
        <tr>
            <th scope="row">
               Text Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td][color]" value="<?php echo $meta_table_style['tbody tr td']['color']; ?>">
            </th>
            
            <th scope="row">
               Link Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td a][color]" value="<?php echo $meta_table_style['tbody tr td a']['color']; ?>">
            </th>
            
           
            <th scope="row">
               Link Hover Color: 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[tbody tr td a:hover][color]" value="<?php echo $meta_table_style['tbody tr td a:hover']['color']; ?>">
            </th>     
        </tr>
        
        <tr>
            <th scope="row">
               TD Padding: 
            </th>
            <th>
                <input class="regular-text wpt_slider" type="text" id="" name="table_style[tbody tr td][padding]" value="<?php echo $meta_table_style['tbody tr td']['padding']; ?>" placeholder="eg: 10px">
            </th> 
            <th scope="row">
               Sorted Column BG: 
            </th>
            <th>
                <input class="regular-text wpt_color_picker" type="text" id="" name="table_style[tbody tr td.this_column_sorted][background-color]" value="<?php echo $meta_table_style['tbody tr td.this_column_sorted']['background-color']; ?>">
            </th>        
        </tr>
        
        
        
        
        <tr class="wpt_table_style_title">
            <th colspan="6"> Checkbox Style</th>
        </tr>
        
        <tr>
            <th scope="row">
                Checkbox Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[input{type=checkbox}:checked%label:before][background-color]" value="<?php echo $meta_table_style['input{type=checkbox}:checked%label:before']['background-color']; ?>">
            </th>
            
            <th scope="row">
                Checkbox Border Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[input{type=checkbox}:checked%label:before][border-color]" value="<?php echo $meta_table_style['input{type=checkbox}:checked%label:before']['border-color']; ?>">
            </th>
            
            
            <th scope="row">
                Checkbox Sign Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[input{type=checkbox}:checked%label:after][color]" value="<?php echo $meta_table_style['input{type=checkbox}:checked%label:after']['color']; ?>">
            </th>
            
            
        </tr>
        
        
        
        
        <tr class="wpt_table_style_title">
            <th colspan="6"> Button Style </th>
        </tr>
        
        <tr>
            <th scope="row">
              Background Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.button][background-color]" value="<?php echo $meta_table_style['.button']['background-color']; ?>">
            </th>
            <th scope="row">
              Hover Background Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.button:hover][background-color]" value="<?php echo $meta_table_style['.button:hover']['background-color']; ?>">
            </th>
       
            <th scope="row">
              Text Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.button][color]" value="<?php echo $meta_table_style['.button']['color']; ?>">
            </th>
        </tr>
        <tr>
            <th scope="row">
              Text Hover Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.button:hover][color]" value="<?php echo $meta_table_style['.button:hover']['color']; ?>">
            </th>
            <th scope="row">
               Padding: 
            </th>
            <th>
                <input class="regular-text wpt_slider" type="text" id="" name="table_style[.button][padding]" value="<?php echo $meta_table_style['.button']['padding']; ?>" placeholder="eg: 10px">
            </th> 
        </tr>
        
        
         <tr class="wpt_table_style_title">
            <th colspan="6">Add To Cart Button </th>
        </tr>
        
        <tr>
            <th scope="row">
              Background Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[a.wpt_woo_add_cart_button][background-color]" value="<?php echo $meta_table_style['a.wpt_woo_add_cart_button']['background-color']; ?>">
            </th>
            <th scope="row">
              Hover Background Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[a.wpt_woo_add_cart_button:hover][background-color]" value="<?php echo $meta_table_style['a.wpt_woo_add_cart_button:hover']['background-color']; ?>">
            </th>
        
            <th scope="row">
              Text Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[a.wpt_woo_add_cart_button][color]" value="<?php echo $meta_table_style['a.wpt_woo_add_cart_button']['color']; ?>">
            </th>
        </tr>
        <tr>
            <th scope="row">
              Text Hover Color
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[a.wpt_woo_add_cart_button:hover][color]" value="<?php echo $meta_table_style['a.wpt_woo_add_cart_button:hover']['color']; ?>">
            </th>
            <th scope="row">
               Padding: 
            </th>
            <th>
                <input class="regular-text wpt_slider" type="text" id="" name="table_style[a.wpt_woo_add_cart_button][padding]" value="<?php echo $meta_table_style['a.wpt_woo_add_cart_button']['padding']; ?>" placeholder="eg: 10px">
            </th> 
        </tr>
       
        
        
        <tr class="wpt_table_style_title">
            <th colspan="6"> Pagination </th>
        </tr>
        
        <tr>
            <th scope="row">
             Active Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.wpt_table_pagination a.page-numbers.current][background-color]" value="<?php echo $meta_table_style['.wpt_table_pagination a.page-numbers.current']['background-color']; ?>">
            </th>
            <th scope="row">
             Hover Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.wpt_table_pagination a:hover][background-color]" value="<?php echo $meta_table_style['.wpt_table_pagination a:hover']['background-color']; ?>">
            </th>
            <th scope="row">
             Border Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.wpt_tspan.page-numbers.current, a.page-numbers.current][border-color]" value="<?php echo $meta_table_style['.wpt_tspan.page-numbers.current, a.page-numbers.current']['border-color']; ?>">
            </th>
            
        </tr>
        
        <tr>
            
            <th scope="row">
             Text Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[a.page-numbers, span.page-numbers][color]" value="<?php echo $meta_table_style['a.page-numbers, span.page-numbers']['color']; ?>">
            </th>
            
            <th scope="row">
             Active Text Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.wpt_tspan.page-numbers.current, a.page-numbers.current][color]" value="<?php echo $meta_table_style['.wpt_tspan.page-numbers.current, a.page-numbers.current']['color']; ?>">
            </th>
            
            <th scope="row">
             Alignment
            </th>
            <th>
                <?php
                $wpt_pagi_alignment = $meta_table_style['.wpt_table_pagination']['text-align'];
                ?>
                <select class="wpt_pagination_alignment" name="table_style[.wpt_table_pagination][text-align]">
                    <option value="center" <?php echo $wpt_pagi_alignment == 'center' ? 'selected': '' ?>>Default</option>
                    <option value="left" <?php echo $wpt_pagi_alignment == 'left' ? 'selected': '' ?>>Left</option>
                    <option value="right" <?php echo $wpt_pagi_alignment == 'right' ? 'selected': '' ?>>Right</option>
                </select>
            </th>
        </tr>
        
        
        
        <tr class="wpt_table_style_title">
            <th colspan="6"> Advance Searchbox Field Control </th>
        </tr>
         <tr>
            <th scope="row">
             Keywords Field Width 
            </th>
            <th>
                <?php
                    $wpt_advanced_sbox_control = $meta_table_style['.wpt_search_box .search_single .search_single_column']['width'];
                ?>
                 <select class="wpt_advanced_sbox_opt_control" name="table_style[.wpt_search_box .search_single .search_single_column][width]">
                    <option value="33.33%" <?php echo $wpt_advanced_sbox_control == '33.33%' ? 'selected': '' ?>>Default</option>
                    <option value="50%" <?php echo $wpt_advanced_sbox_control == '50%' ? 'selected': '' ?>>50%</option>
                    <option value="100%" <?php echo $wpt_advanced_sbox_control == '100%' ? 'selected': '' ?>>100%</option>
                </select>
            </th>
            
            <th scope="row">
             Keywords Field Alignment 
            </th>
            <th>
                <?php
                    $wpt_advanced_sbox_control = $meta_table_style['.wpt_search_box .search_single .search_single_column']['float'];
                ?>
                 <select class="wpt_advanced_sbox_opt_control" name="table_style[.wpt_search_box .search_single .search_single_column][float]">
                    <option value="left" <?php echo $wpt_advanced_sbox_control == 'left' ? 'selected': '' ?>>Default (Left)</option>
                    <option value="none" <?php echo $wpt_advanced_sbox_control == 'none' ? 'selected': '' ?>>None (Center)</option>
                    <option value="right" <?php echo $wpt_advanced_sbox_control == 'right' ? 'selected': '' ?>>Right</option>

                </select>
            </th>
            
            
        </tr>
        
         <tr>
            
            <th scope="row">
             Order By Field Display/Hide 
            </th>
            <th>
                <?php
                    $wpt_advanced_sbox_control = $meta_table_style['.search_single_order_by']['display'];
                ?>
                 <select class="wpt_advanced_sbox_opt_control" name="table_style[.search_single_order_by][display]">
                    <option value="initial" <?php echo $wpt_advanced_sbox_control == 'initial' ? 'selected': '' ?>>Show</option>
                    <option value="none" <?php echo $wpt_advanced_sbox_control == 'none' ? 'selected': '' ?>>Hide</option>
                </select>
            </th>
            
            <th scope="row">
             Order Field Display/Hide 
            </th>
            <th>
                <?php
                    $wpt_advanced_sbox_control_order = $meta_table_style['.search_single_order']['display'];
                ?>
                 <select class="wpt_advanced_sbox_opt_control" name="table_style[.search_single_order][display]">
                    <option value="initial" <?php echo $wpt_advanced_sbox_control_order == 'initial' ? 'selected': '' ?>>Show</option>
                    <option value="none" <?php echo $wpt_advanced_sbox_control_order == 'none' ? 'selected': '' ?>>Hide</option>
                </select>
            </th>
            
        </tr>
        
        <tr class="wpt_table_style_title">
            <th colspan="6"> Others </th>
        </tr>
        
        <tr>
            <th scope="row">
             Footer Background Color 
            </th>
            <th>
                <input class="regular-text  wpt_color_picker" type="text" id="" name="table_style[.all_check_footer][background-color]" value="<?php echo $meta_table_style['.all_check_footer']['background-color']; ?>">
            </th>
            
        </tr>
        
        
        
        
    </table>
    <?php if( $wpt_table_style_reset ){?>
    <div class="wpt_table_style_reset_wrapper">
        <?php
        if (isset($_SERVER['HTTPS']) &&
            ($_SERVER['HTTPS'] == 'on' || $_SERVER['HTTPS'] == 1) ||
            isset($_SERVER['HTTP_X_FORWARDED_PROTO']) &&
            $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https') {
            $protocol = 'https://';
        } else {
            $protocol = 'http://';
        }
        $wpt_current_url = $protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $wpt_reset_url = $wpt_current_url . '&reset=yes#table_style';
        ?>
        <p>Remember: Reset will not store other tab's change. So First Update, If you changed others tab. such: Column,Basics etc</p>
        <a class="button wpt_style_reset_button" href="<?php echo $wpt_reset_url; ?>">Reset Style to Default</a>
    </div>
    <?php } ?>
</div>